Subject: [v6ops] Would like guidance on the IETF-87 agenda

From: "Fred Baker (fred)" <[email-masked]>
Date: Tue, 16 Jul 2013 04:41:16 +0000

Asking the working group for its input.

The Internet Draft cut-off for new -00 drafts was extended through yesterday, concomitant with the final cut-off. We got a few more drafts, including both updated drafts and new -00. My general rule is to look for list activity on a draft, but now find myself in a crunch because I need to finalize an agenda and frankly you haven't had much time to look through things.

So I need your guidance.

Here is the draft set for IETF-87

RFC Ed Queue:
    Mar 18  draft-ietf-v6ops-ipv6-multihoming-without-ipv6nat
    Oct 30  draft-ietf-v6ops-6204bis
    Nov 14  draft-ietf-v6ops-ra-guard-implementation

Exiting WGLC; on its way to IESG:
    May 27  draft-ietf-v6ops-rfc3316bis
    Jun 11  draft-ietf-v6ops-mobile-device-profile
    Jul 14  draft-ietf-v6ops-64share

Working Group Document updated since IETF:
    May 17  draft-ietf-v6ops-ula-usage-recommendations
    Jul  9  draft-ietf-v6ops-nat64-experience
    Jul 14  draft-ietf-v6ops-enterprise-incremental-ipv6

Individual Submission to v6ops updated since IETF:
    Apr 14  draft-elkins-v6ops-ipv6-ipid-needed
    May 31  draft-elkins-v6ops-ipv6-end-to-end-rt-needed
    May 31  draft-elkins-v6ops-ipv6-packet-sequence-needed
    May 31  draft-elkins-v6ops-ipv6-pdm-recommended-usage
    Jun  4  draft-taylor-v6ops-fragdrop
    Jul 12  draft-grundemann-hipnet
    Jul 14  draft-lopez-v6ops-dc-ipv6
    Jul 15  draft-jiang-v6ops-semantic-prefix
    Jul 15  draft-v6ops-vyncke-balanced-ipv6-security
    Jul 15  draft-servin-v6ops-monitor-ds-ipv6

???
    Jul  8  draft-chen-v6ops-ipv6-roaming-analysis-00.txt
    Jul 10  draft-osamu-v6ops-ipv4-literal-in-url-00.txt
    Jul 15  draft-liu-v6ops-running-multiple-prefixes-00.txt
    Jul 14  draft-bajpai-happy

No obvious v6ops interest:
    Mar 28  draft-generic-v6ops-tunmtu
    Apr  1  draft-yang-v6ops-fast6
    Jul 12  draft-yang-v6ops-ipv6tran-select
    Apr 24  draft-gundavelli-v6ops-community-wifi-svcs

Working Group Document NOT updated since IETF:
    Feb 14  draft-ietf-v6ops-design-choices

Individual Submission to v6ops NOT updated since IETF:
    Jan 25  draft-mlevy-v6ops-auto-v6-allocation-per-asn
    Feb 18  draft-ma-v6ops-ipv6-address-assignment
    Feb 20  draft-smith-v6ops-larger-ipv6-loopback-prefix
    Feb 25  draft-sun-v6ops-semantic-usecase
    Feb 25  draft-shishio-v6ops-dpvt

Liu Bing tells me that he is not ready to discuss draft-ietf-v6ops-ula-usage-recommendations this time, which is fine. However, George Michaelson has put together some data on the announcement of ULAs in routing, which I think bears looking at given that we are thinking about it.

Philip Matthews tells me that he is considering abandoning draft-ietf-v6ops-design-choices unless someone would like to co-author. I haven't seen a response to that.

My inclination for an agenda is then to include George's talk plus 
    Jul  9  draft-ietf-v6ops-nat64-experience
    Jul 14  draft-ietf-v6ops-enterprise-incremental-ipv6
    Nalini Elkins' drafts as one discussion
    Jun  4  draft-taylor-v6ops-fragdrop
    Jul 12  draft-grundemann-hipnet
    Jul 14  draft-lopez-v6ops-dc-ipv6
    Jul 15  draft-jiang-v6ops-semantic-prefix
    Jul 15  draft-v6ops-vyncke-balanced-ipv6-security
    Jul 15  draft-servin-v6ops-monitor-ds-ipv6

10 discussions in 240 minutes leaves 24 minutes per discussion. That's a good amount of time.

Where I have questions relate to the four very new drafts.

draft-chen-v6ops-ipv6-roaming-analysis looks at issues raised with IPv6 operation in inter-provider environments. We have a number of such, and it seems useful to discuss.

draft-osamu-v6ops-ipv4-literal-in-url reports on some research done in the WIDE project, regarding the use of IPv4 literals in an IPv6-only network using NAT64 translation for access to the IPv4 Internet.

draft-liu-v6ops-running-multiple-prefixes, which contains no abstract, appears to be looking at the cases in which we deploy networks with multiple prefixes on each LAN or on a set of LANs.

draft-bajpai-happy looks at Happy Eyeballs implementations, with a view to understanding its behavior in deployment.

I am inclined to let draft-liu-v6ops-running-multiple-prefixes simmer; I think it will benefit from list discussion, and as I understand him Liu Bing will not be at this meeting. I'm inclined to include the other three drafts, however, as they are relevant to matters the working group has recently worked on, even though I have not seen appreciable list discussion on them yet. That gives us 18 minutes per discussion, which is tighter than I would like, but survivable.

Opinions? Private to the chairs if you prefer.